* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html,
body {
    background: #fdead7;
}

.containers {
    width: 100%;
    padding: 3.19rem .24rem .3rem;
    background: url(../img/bg.png) no-repeat;
    background-size: 100%;
}

.login_gift_box {
    width: 7.02rem;
    background: url(../img/juxing.png) no-repeat;
    background-size: cover;
    padding: .24rem .2rem .2rem;
}

.login_gift_box>h4 {
    font-size: .36rem;
    font-family: PingFang SC, PingFang SC-Semibold;
    font-weight: 700;
    text-align: left;
    color: #212121;
    line-height: .5rem;
    margin-bottom: .2rem;
}

.login_gift_list {
    width: 6.62rem;
    height: 1.9rem;
    background: #ffffff;
    border-radius: .2rem;
    display: flex;
    align-items: center;
}

.login_gift_list>img {
    width: 1.5rem;
    height: 1.5rem;
}

.login_gift_mid {
    margin: 0 .06rem 0 .06rem;
    width: 3.3rem;
}

.login_gift_mid h5 {
    font-size: .32rem;
    font-family: PingFang SC, PingFang SC-Medium;
    font-weight: 500;
    text-align: left;
    color: #5c2312;
    margin-bottom: .14rem;
}

.login_gift_mid p {
    opacity: 0.7;
    font-size: .24rem;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: #5c2312;
    line-height: .32rem;
}

.login_gift_right {
    width: 1.48rem;
    height: .54rem;
    background: linear-gradient(90deg, #ff8945, #ff5321);
    border-radius: .27rem;
    font-size: .26rem;
    font-family: PingFang SC, PingFang SC-Medium;
    font-weight: 500;
    text-align: center;
    color: #ffffff;
    line-height: .54rem;
}
.login_gift_right.gray {
    background: #ccc;
}
.activity_box {
    width: 7.02rem;
    padding: .46rem .3rem;
    background: #ffffff;
    border-radius: .16rem;
    margin-top: .2rem;
    text-align: center;
}

.hdsm {
    width: 4.28rem;
    height: .34rem;
    margin-bottom: .29rem;
}

.activity_cont {
    opacity: 0.8;
    font-size: .24rem;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: #7e3400;
    line-height: .42rem;
}

.mc {
    width: 100%;
    /* height: 100vh; */
     height: calc(var(--vh, 1vh) * 100);
    background: rgba(0, 0, 0, .7);
    position: fixed;
    top: 0;
    left: 0;
    display: none;
}

.tips_tc {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 6.4rem;
    background: linear-gradient(180deg, #fffef7 0%, #fffadc 100%);
    border-radius: .18rem;
    padding: 1.09rem .4rem .56rem;
}

.succ_tc,.fail_tc {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background: linear-gradient(180deg, #fffef7 0%, #fffadc 100%);
    border-radius: .18rem;
    padding: 1.63rem 0 .82rem;
    text-align: center;
    width: 6.4rem;
}

.tips_title {
    width: 3.92rem;
    height: .99rem;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: -.37rem;
}

.tips_tc h4 {
    font-size: .32rem;
    font-family: PingFang SC, PingFang SC-Medium;
    font-weight: 500;
    text-align: left;
    color: #5c2312;
}

.tips_tc p {
    opacity: 0.8;
    font-size: .28rem;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: center;
    color: #983e00;
    line-height: .4rem;
    margin: .15rem auto .27rem;
}

.tips_cont p{
    opacity: 0.8;
    font-size: .28rem;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: #983e00;
    line-height: .44rem;
    max-height: 1.32rem;
    overflow-y: auto;
    margin: .1rem auto 0rem;
}

.tc_ipt_box {
    padding: 0 .5rem;
    display: flex;
    align-items: center;
    width: 5.3rem;
    height: .78rem;
    background-color: #fff;
    border-radius: .45rem;
    padding: 0 .35rem 0 .24rem;
    margin: .4rem auto .3rem;
    border: 1px solid #7e3400;
}

.tc_ipt_box img {
    width: .27rem;
    height: .32rem;
}

.ipt_box input {
    width: 3rem;
}

.tc_ipt_box input {
    width: 2.24rem;
    margin: 0 .52rem 0 .14rem;
    font-size: .26rem;
}

.tc_ipt_box input::placeholder {
    color: #a5a5a5;
    font-size: .24rem;
}

.huoqu_btn {
    font-size: .32rem;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: right;
    color: #ff6328;
    width: 1.52rem;
    height: .66rem;
    border-left: 1px solid #ff6328;
    line-height: .66rem;
}

.tc_huoqu_btn,
.authorize_huoqu_btn {
    font-size: .28rem;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: right;
    color: #ed5c49;
    line-height: .3rem;
}

.tc_huoqu_btn span {
    display: block;
    width: 1.4rem;
    text-align: right
}

.tips_btns {
    display: flex;
    justify-content: space-between;
    padding: 0 .07rem;
}

.tips_btns .l {
    width: 2.4rem;
    height: .82rem;
    background: url(../img/l.png) no-repeat;
    background-size: 100%;
    font-size: .3rem;
    font-family: PingFang SC, PingFang SC-Medium;
    font-weight: 500;
    text-align: center;
    color: #ff4105;
    line-height: .82rem;
}

.tips_btns .r {
    width: 2.4rem;
    height: .82rem;
    background: url(../img/r.png) no-repeat;
    background-size: 100%;
    font-size: .3rem;
    font-family: PingFang SC, PingFang SC-Medium;
    font-weight: 500;
    text-align: center;
    color: #ffffff;
    line-height: .82rem;
}

input[type=text],
input[type=password],
input[type=number],
input[type=checkbox],
button,
textarea {
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
    -moz-user-focus: none;
    -webkit-appearance: none !important;
    outline: none !important;
    border: none;
    background-color: transparent;
    -webkit-appearance: none !important;
    outline: none !important;
    border: none;
    background-color: transparent;
}

.succ_title,.fail_title {
    width: 3.92rem;
    height: .99rem;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: -0.19rem;
}

.succ_logo,.fail_logo {
    width: 2.04rem;
    height: 1.7rem;
}

.succ_cont,.fail_cont {
    font-size: .32rem;
    font-family: PingFang SC, PingFang SC-Medium;
    font-weight: 500;
    text-align: center;
    color: #4e2e00;
    line-height: .45rem;
    margin: .38rem auto 0;
}

.succ_btns,.fail_btns {
    width: 4.1rem;
    height: .74rem;
    background: linear-gradient(90deg, #ff8f00 13%, #ff4f00 82%);
    border-radius: .37rem;
    box-shadow: 0px .02rem .04rem 0px #ffcfb0;
    font-size: .28rem;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: center;
    color: #ffffff;
    line-height: .74rem;
    margin: .4rem auto 0;
}
.fail_reason{
    opacity: 0.8;
font-size: .28rem;
font-family: PingFang SC, PingFang SC-Regular;
font-weight: Regular;
text-align: center;
color: #983e00;
line-height: .44rem;
margin: .16rem auto .39rem;
padding: 0 .95rem;
}

input[type=text],
input[type=password],
input[type=tel],
input[type=checkbox],
button,
textarea {
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
    -moz-user-focus: none;
    -webkit-appearance: none !important;
    outline: none !important;
    border: none;
    background-color: transparent;
    -webkit-appearance: none !important;
    outline: none !important;
    border: none;
    background-color: transparent;
}

input[type=checkbox] {
    background: url(../img/kuang.png) no-repeat;
    background-size: 100%;
    border: .02rem solid transparent;
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    -o-appearance: none;
    appearance: none;
    position: relative;
    right: 0;
    top: -0.02rem;
    bottom: 0;
    left: 0rem;
    height: .4rem;
    width: .4rem;
    vertical-align: middle;
    outline: none;
    border-radius: 50%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    background-color: transparent;
}

.aui-well-check:checked {
    background-image: url(../img/checked.png);
    background-size: 100%;
}

.agree_list {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: .28rem;
    font-family: PingFang SC, PingFang SC-Regular;
    color: #983e00;
    line-height: .32rem;
    margin-bottom: .2rem;
}

.agree_list input {
    margin-right: .08rem;
}